## ros-galactic-eigen-stl-containers 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(eigen_stl_containers)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(Eigen3 REQUIRED)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION include/${PROJECT_NAME}
        FILES_MATCHING PATTERN "*.h")

ament_export_include_directories(include ${EIGEN3_INCLUDE_DIRS})
ament_package()

=== debian/changelog ===
ros-galactic-eigen-stl-containers (1.0.0-3focal) focal; urgency=high

  * Port package to ROS 2 (#16 <https://github.com/ros/eigen_stl_containers/issues/16>)
  * Switch to package.xml format 2.
  * Make sure to include <functional>
  * Contributors: Chris Lalancette, Víctor Mayoral Vilches

 -- Chris Lalancette <clalancette@osrfoundation.org>  Mon, 11 Feb 2019 08:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.8-3focal) focal; urgency=high

  * Fix it up so we can correctly find Eigen everywhere.
  * Contributors: Chris Lalancette, Kei Okada

 -- Chris Lalancette <clalancette@osrfoundation.org>  Fri, 10 Mar 2017 08:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.7-3focal) focal; urgency=high

  * install headers to CATKIN_PACKAGE_INCLUDE_DESTINATION (#4 <https://github.com/ros/eigen_stl_containers/issues/4>)
  * Added more typedefs for std::vectors of Eigen types (#8 <https://github.com/ros/eigen_stl_containers/issues/8>)
  * Contributors: Michael Görner, Victor Lamoine

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 01 Mar 2017 08:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.6-3focal) focal; urgency=high

  * Fixed exporting of eigen3 depends (#6 <https://github.com/ros/eigen_stl_containers/issues/6>)
  * Contributors: Kei Okada

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 28 Sep 2016 07:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.5-3focal) focal; urgency=high

  * Merge pull request #3 <https://github.com/ros/eigen_stl_containers/issues/3> from scpeters/patch-1
    add links to repository and issue tracker
  * add links to repository and issue tracker
  * Added tag 0.1.4 for changeset 27d05d1c09b5
  * Contributors: Ioan Sucan, Steven Peters, William Woodall

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 23 Mar 2016 07:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.4-3focal) focal; urgency=high

  * properly export includes and depends for catkin
  * Added tag 0.1.3 for changeset 93304e48d411
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 13 Mar 2013 07:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.3-3focal) focal; urgency=high

  * Added tag 0.1.2 for changeset a0b26dabeaec
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sat, 15 Dec 2012 08:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.2-3focal) focal; urgency=high

  * bump version
  * Added tag 0.1.2 for changeset 17cd6bd5aedd
  * switching to package.xml
  * Added tag 0.1.1 for changeset 7647a299476f
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Thu, 18 Oct 2012 07:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.1-3focal) focal; urgency=high

  * add more typedefs
  * Added tag 0.1.0 for changeset 14f67f1013f4
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Wed, 19 Sep 2012 07:00:00 -0000

ros-galactic-eigen-stl-containers (0.1.0-3focal) focal; urgency=high

  * add vector types
  * Contributors: Ioan Sucan

 -- Chris Lalancette <clalancette@osrfoundation.org>  Sun, 12 Aug 2012 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-eigen-stl-containers
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-galactic-ament-cmake, ros-galactic-ros-workspace
Homepage: http://eigen.tuxfamily.org/dox/TopicUnalignedArrayAssert.html
Standards-Version: 3.9.2

Package: ros-galactic-eigen-stl-containers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-galactic-ros-workspace
Description: This package provides a set of typedef's that allow using Eigen datatypes in STL containers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-eigen-stl-containers//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
